Subject: bug#23822: closed (Re: bug#23822: Request to add Probhat layout for Bengali in emacs.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Sep 2019 00:34:02 +0000

Your bug report

#23822: Request to add Probhat layout for Bengali in emacs.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23822: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23822
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23822: Request to add Probhat layout for Bengali in emacs.
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Sep 2019 02:33:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> I pushed the new input method to the emacs-25 branch.  Please take a
>> look at the final result, because I needed to make a few changes
>> before it compiled successfully.
>
> That was three years ago, so I'm guessing that the result was
> satisfactory, and I'm closing this bug report.

This was never closed, so I'm closing it now.

Best regards,
Stefan Kangas

Subject: Request to add Probhat layout for Bengali in emacs.
From: উৎসব রায় <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jun 2016 09:35:27 +0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Probhat is currently most popular keyboard layout for writing Bengali in
linux. Please add it in by default.

These are the codes I added to my configuration file to define my own
Probhat layout:

;; Probhat Input Method

(quail-define-package
 "probhat" "Bengali-probhat" "probhat" t
 "Porbhat for Bangla" nil t nil nil nil nil nil nil nil nil t)

(quail-define-rules
  ("!" ?!)
  ("1" ?১)
  ("@" ?@)
  ("2" ?২)
  ("#" ?#)
  ("3" ?৩)
  ("$" ?৳)
  ("4" ?৪)
  ("%" ?%)
  ("5" ?৫)
  ("^" ?^)
  ("6" ?৬)
  ("&" ?ঞ)
  ("7" ?৭)
  ("*" "ৎ")
  ("8" ?৮)
  ("(" ?()
  ("9" ?৯)
  (")" ?))
  ("0" ?০)
  ("_" ?_)
  ("-" ?-)
  ("+" ?+)
  ("=" ?=)
  ("Q" ?ধ)
  ("q" ?দ)
  ("W" ?ঊ)
  ("w" ?ূ)
  ("E" ?ঈ)
  ("e" ?ী)
  ("R" ?ড়)
  ("r" ?র)
  ("T" ?ঠ)
  ("t" ?ট)
  ("Y" ?ঐ)
  ("y" ?এ)
  ("U" ?উ)
  ("u" ?ু)
  ("I" ?ই)
  ("i" ?ি)
  ("O" ?ঔ)
  ("o" ?ও)
  ("P" ?ফ)
  ("p" ?প)
  ("{" ?ৈ)
  ("[" ?ে)
  ("}" ?ৌ)
  ("]" ?ো)
  ("A" ?অ)
  ("a" ?া)
  ("S" ?ষ)
  ("s" ?স)
  ("D" ?ঢ)
  ("d" ?ড)
  ("F" ?থ)
  ("f" ?ত)
  ("G" ?ঘ)
  ("g" ?গ)
  ("H" ?ঃ)
  ("h" ?হ)
  ("J" ?ঝ)
  ("j" ?জ)
  ("K" ?খ)
  ("k" ?ক)
  ("L" ?ং)
  ("l" ?ল)
  (":" ?:)
  (";" ?;)
  (""" ?")
  ("'" ?')
  ("|" ?॥)
  ("" ?‌)
  ("~" ?~)
  ("`" ?‍)
  ("Z" ?য)
  ("z" ?য়)
  ("X" ?ঢ়)
  ("x" ?শ)
  ("C" ?ছ)
  ("c" ?চ)
  ("V" ?ঋ)
  ("v" ?আ)
  ("B" ?ভ)
  ("b" ?ব)
  ("N" ?ণ)
  ("n" ?ন)
  ("M" ?ঙ)
  ("m" ?ম)
  ("<" ?ৃ)
  ("," ?,)
  (">" ?ঁ)
  ("." ?।)
  ("?" ??)
  ("/" ?্))